Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class BaseAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.BaseAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

Direct Known Subclasses:
  ContentAgent, DanglingObjectAVCleanupAgent, EventExchangerAgent, ExpirationAgent, FolderIndexAnalyzerAgent, GarbageCollectionAgent, QuotaAgent

    public abstract class BaseAgent

extends ClusteredServer

A BaseAgent is an Base class providing basic agent functions. Support a timer. Supports suspend and resume. Overrides handle methods for logging. Publishes two read only properties ErrorCntLastActivation and ErrorCountCumulative. This agent does nothing but can be subclassed. Subclasses must override the activate method.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary
`static java.lang.String` | `ERROR_COUNT_CUMULATIVE`
`static java.lang.String` | `ERROR_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`BaseAgent()` Constructs the BaseAgent.

Method Summary
`protected void` | `activate()` Dummy action must be overridden by subclasses
`protected void` | `addToProperty(java.lang.String name, int number)` Add number to an existing int property.
`protected void` | `handleResumeRequest()` handle the resume request.
`protected void` | `handleStopRequest()` handle the stop request.
`protected void` | `handleSuspendRequest()` handle the suspend request.
`protected void` | `handleTimerExpired()` handle the timer expired request.
`protected void` | `incrementProperty(java.lang.String name)` Increment an int property and publish it
`void` | `initialize()` Initialize prior to running
`protected void` | `initOnRun()` Initialize at start of run method
`boolean` | `isAgent()` Gets whether this Server is an agent.
`void` | `postRun()` Performs post-run tasks.
`protected void` | `publishProperty(java.lang.String name, AttributeValue av)` Publish a property for the world to see
`void` | `run()` Runs the agent
`protected void` | `standardPostRun()` Convience method for subclasses of BaseAgent the performs post-run standard tasks disconnectSession() and stopTimer()
`boolean` | `supportsSuspendResume()` Gets whether this Server supports suspend/resume.

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isPropertyReadonly, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, preRun, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_COUNT_LAST_ACTIVATION

    public static final java.lang.String ERROR_COUNT_LAST_ACTIVATION

See Also:
  Constant Field Values

### ERROR_COUNT_CUMULATIVE

    public static final java.lang.String ERROR_COUNT_CUMULATIVE

See Also:
  Constant Field Values

Constructor Detail

### BaseAgent

    public BaseAgent()
              throws IfsException

  Constructs the BaseAgent.

  Throws:
    `IfsException`

Method Detail

### isAgent

    public boolean isAgent()
                    throws IfsException

  Description copied from class: `BaseAgent`
  Gets whether this Server is an agent.

  This method is called by iFS administration tools to group together servers that are agents in administration user interfaces.

  Specified by:
    `isAgent` in interface `ServerInterface`
  Overrides:
    `isAgent` in class `Server`
  Returns:
    true
  Throws:
    `IfsException` - (IFS-45178) if the operation fails
  (Published)

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `BaseAgent`
  Initialize prior to running

  Overrides:
    `initialize` in class `Server`
  Throws:
    `java.lang.Exception` - if the operation fails

### initOnRun

    protected void initOnRun()
                      throws java.lang.Exception

  Description copied from class: `BaseAgent`
  Initialize at start of run method

  Throws:
    `java.lang.Exception`

### postRun

    public void postRun()

  Description copied from class: `BaseAgent`
  Performs post-run tasks. The implementation at this level disconnects the current session (if any) and stops the timer, after deferring to superclass.

  Overrides:
    `postRun` in class `IfsServer`
  (Unpublished)

### run

    public void run()

  Description copied from class: `BaseAgent`
  Runs the agent

  Specified by:
    `run` in class `IfsServer`
  (Unpublished)

### handleStopRequest

    protected void handleStopRequest()
                              throws java.lang.Exception

  Description copied from class: `BaseAgent`
  handle the stop request. Overridden here for logging

  Overrides:
    `handleStopRequest` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### handleSuspendRequest

    protected void handleSuspendRequest()
                                 throws IfsException,
                                        java.lang.Exception

  Description copied from class: `BaseAgent`
  handle the suspend request. Overridden here for logging and stopping the timmer.

  Overrides:
    `handleSuspendRequest` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### handleResumeRequest

    protected void handleResumeRequest()
                                throws IfsException,
                                       java.lang.Exception

  Description copied from class: `BaseAgent`
  handle the resume request. Overridden here for logging and starting the timer.

  Overrides:
    `handleResumeRequest` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### handleTimerExpired

    protected void handleTimerExpired()
                               throws IfsException,
                                      java.lang.Exception

  Description copied from class: `BaseAgent`
  handle the timer expired request.

  Overrides:
    `handleTimerExpired` in class `IfsServer`
  Throws:
    `IfsException` - if operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### activate

    protected void activate()
                     throws IfsException

  Description copied from class: `BaseAgent`
  Dummy action must be overridden by subclasses

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### standardPostRun

    protected void standardPostRun()

  Description copied from class: `BaseAgent`
  Convience method for subclasses of BaseAgent the performs post-run standard tasks disconnectSession() and stopTimer()

  (Unpublished)

### publishProperty

    protected void publishProperty(java.lang.String name,
                                   AttributeValue av)
                            throws IfsException

  Description copied from class: `BaseAgent`
  Publish a property for the world to see

  Throws:
    `IfsException`
  (Unpublished)

### incrementProperty

    protected void incrementProperty(java.lang.String name)
                              throws IfsException

  Description copied from class: `BaseAgent`
  Increment an int property and publish it

  Throws:
    `IfsException`
  (Unpublished)

### addToProperty

    protected void addToProperty(java.lang.String name,
                                 int number)
                          throws IfsException

  Description copied from class: `BaseAgent`
  Add number to an existing int property.

  Throws:
    `IfsException`
  (Unpublished)

### supportsSuspendResume

    public boolean supportsSuspendResume()
                                  throws IfsException

  Description copied from class: `BaseAgent`
  Gets whether this Server supports suspend/resume.

  This override forces a return of true, indicating that suspend/resume is supported.

  Specified by:
    `supportsSuspendResume` in interface `ServerInterface`
  Overrides:
    `supportsSuspendResume` in class `Server`
  Returns:
    true; to de-support suspend/resume, override this this method, `handleSuspendRequest`, and `handleResumeRequest`
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD